Upstream information

CVE-2019-18898 at MITRE

Description

UNIX Symbolic Link (Symlink) Following vulnerability in the trousers package of SUSE Linux Enterprise Server 15 SP1; openSUSE Factory allowed local attackers escalate privileges from user tss to root. This issue affects: SUSE Linux Enterprise Server 15 SP1 trousers versions prior to 0.3.14-6.3.1. openSUSE Factory trousers versions prior to 0.3.14-7.1.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

SUSE Bugzilla entries: 1154062 [IN_PROGRESS], 1157651 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libtspi1 >= 0.3.14-6.3.1
  • trousers >= 0.3.14-6.3.1
  • trousers-devel >= 0.3.14-6.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-3349
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libtspi1-32bit >= 0.3.14-6.3.1
  • trousers >= 0.3.14-6.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-3349
openSUSE Leap 15.1
  • libtspi1 >= 0.3.14-lp151.4.3.1
  • libtspi1-32bit >= 0.3.14-lp151.4.3.1
  • libtspi1-32bit-debuginfo >= 0.3.14-lp151.4.3.1
  • libtspi1-debuginfo >= 0.3.14-lp151.4.3.1
  • trousers >= 0.3.14-lp151.4.3.1
  • trousers-debuginfo >= 0.3.14-lp151.4.3.1
  • trousers-debugsource >= 0.3.14-lp151.4.3.1
  • trousers-devel >= 0.3.14-lp151.4.3.1
Patchnames:
openSUSE-2020-15


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP4 trousers Not affected
SUSE Linux Enterprise High Performance Computing 12 trousers Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA trousers Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 trousers Released
SUSE Linux Enterprise SDK 12 SP4 trousers Not affected
SUSE Linux Enterprise SDK 12 SP5 trousers Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS trousers Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS trousers Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS trousers Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS trousers Not affected
SUSE Linux Enterprise Server 12 SP4 trousers Not affected
SUSE Linux Enterprise Server 12 SP5 trousers Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 trousers Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 trousers Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 trousers Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 trousers Not affected